Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network235.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
235.2.0.0
Broadcast address
235.2.31.255
First usable
235.2.0.1
Last usable
235.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EB020000 · Integer 3942776832 to 3942785023
Reverse DNS zones
0.2.235.in-addr.arpa
1.2.235.in-addr.arpa
2.2.235.in-addr.arpa
3.2.235.in-addr.arpa
4.2.235.in-addr.arpa
5.2.235.in-addr.arpa
6.2.235.in-addr.arpa
7.2.235.in-addr.arpa
8.2.235.in-addr.arpa
9.2.235.in-addr.arpa
10.2.235.in-addr.arpa
11.2.235.in-addr.arpa
12.2.235.in-addr.arpa
13.2.235.in-addr.arpa
14.2.235.in-addr.arpa
15.2.235.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101011.00000010.00000000.00000000235.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11101011.00000010.00000000.00000000235.2.0.0
Broadcast11101011.00000010.00011111.11111111235.2.31.255
Split into smaller subnets/28

235.2.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1235.2.0.0/28235.2.0.1 to 235.2.0.14235.2.0.1514
2235.2.0.16/28235.2.0.17 to 235.2.0.30235.2.0.3114
3235.2.0.32/28235.2.0.33 to 235.2.0.46235.2.0.4714
4235.2.0.48/28235.2.0.49 to 235.2.0.62235.2.0.6314
5235.2.0.64/28235.2.0.65 to 235.2.0.78235.2.0.7914
6235.2.0.80/28235.2.0.81 to 235.2.0.94235.2.0.9514
7235.2.0.96/28235.2.0.97 to 235.2.0.110235.2.0.11114
8235.2.0.112/28235.2.0.113 to 235.2.0.126235.2.0.12714
9235.2.0.128/28235.2.0.129 to 235.2.0.142235.2.0.14314
10235.2.0.144/28235.2.0.145 to 235.2.0.158235.2.0.15914
11235.2.0.160/28235.2.0.161 to 235.2.0.174235.2.0.17514
12235.2.0.176/28235.2.0.177 to 235.2.0.190235.2.0.19114
13235.2.0.192/28235.2.0.193 to 235.2.0.206235.2.0.20714
14235.2.0.208/28235.2.0.209 to 235.2.0.222235.2.0.22314
15235.2.0.224/28235.2.0.225 to 235.2.0.238235.2.0.23914
16235.2.0.240/28235.2.0.241 to 235.2.0.254235.2.0.25514
17235.2.1.0/28235.2.1.1 to 235.2.1.14235.2.1.1514
18235.2.1.16/28235.2.1.17 to 235.2.1.30235.2.1.3114
19235.2.1.32/28235.2.1.33 to 235.2.1.46235.2.1.4714
20235.2.1.48/28235.2.1.49 to 235.2.1.62235.2.1.6314
21235.2.1.64/28235.2.1.65 to 235.2.1.78235.2.1.7914
22235.2.1.80/28235.2.1.81 to 235.2.1.94235.2.1.9514
23235.2.1.96/28235.2.1.97 to 235.2.1.110235.2.1.11114
24235.2.1.112/28235.2.1.113 to 235.2.1.126235.2.1.12714
25235.2.1.128/28235.2.1.129 to 235.2.1.142235.2.1.14314
26235.2.1.144/28235.2.1.145 to 235.2.1.158235.2.1.15914
27235.2.1.160/28235.2.1.161 to 235.2.1.174235.2.1.17514
28235.2.1.176/28235.2.1.177 to 235.2.1.190235.2.1.19114
29235.2.1.192/28235.2.1.193 to 235.2.1.206235.2.1.20714
30235.2.1.208/28235.2.1.209 to 235.2.1.222235.2.1.22314
31235.2.1.224/28235.2.1.225 to 235.2.1.238235.2.1.23914
32235.2.1.240/28235.2.1.241 to 235.2.1.254235.2.1.25514
33235.2.2.0/28235.2.2.1 to 235.2.2.14235.2.2.1514
34235.2.2.16/28235.2.2.17 to 235.2.2.30235.2.2.3114
35235.2.2.32/28235.2.2.33 to 235.2.2.46235.2.2.4714
36235.2.2.48/28235.2.2.49 to 235.2.2.62235.2.2.6314
37235.2.2.64/28235.2.2.65 to 235.2.2.78235.2.2.7914
38235.2.2.80/28235.2.2.81 to 235.2.2.94235.2.2.9514
39235.2.2.96/28235.2.2.97 to 235.2.2.110235.2.2.11114
40235.2.2.112/28235.2.2.113 to 235.2.2.126235.2.2.12714
41235.2.2.128/28235.2.2.129 to 235.2.2.142235.2.2.14314
42235.2.2.144/28235.2.2.145 to 235.2.2.158235.2.2.15914
43235.2.2.160/28235.2.2.161 to 235.2.2.174235.2.2.17514
44235.2.2.176/28235.2.2.177 to 235.2.2.190235.2.2.19114
45235.2.2.192/28235.2.2.193 to 235.2.2.206235.2.2.20714
46235.2.2.208/28235.2.2.209 to 235.2.2.222235.2.2.22314
47235.2.2.224/28235.2.2.225 to 235.2.2.238235.2.2.23914
48235.2.2.240/28235.2.2.241 to 235.2.2.254235.2.2.25514
49235.2.3.0/28235.2.3.1 to 235.2.3.14235.2.3.1514
50235.2.3.16/28235.2.3.17 to 235.2.3.30235.2.3.3114
51235.2.3.32/28235.2.3.33 to 235.2.3.46235.2.3.4714
52235.2.3.48/28235.2.3.49 to 235.2.3.62235.2.3.6314
53235.2.3.64/28235.2.3.65 to 235.2.3.78235.2.3.7914
54235.2.3.80/28235.2.3.81 to 235.2.3.94235.2.3.9514
55235.2.3.96/28235.2.3.97 to 235.2.3.110235.2.3.11114
56235.2.3.112/28235.2.3.113 to 235.2.3.126235.2.3.12714
57235.2.3.128/28235.2.3.129 to 235.2.3.142235.2.3.14314
58235.2.3.144/28235.2.3.145 to 235.2.3.158235.2.3.15914
59235.2.3.160/28235.2.3.161 to 235.2.3.174235.2.3.17514
60235.2.3.176/28235.2.3.177 to 235.2.3.190235.2.3.19114
61235.2.3.192/28235.2.3.193 to 235.2.3.206235.2.3.20714
62235.2.3.208/28235.2.3.209 to 235.2.3.222235.2.3.22314
63235.2.3.224/28235.2.3.225 to 235.2.3.238235.2.3.23914
64235.2.3.240/28235.2.3.241 to 235.2.3.254235.2.3.25514
65235.2.4.0/28235.2.4.1 to 235.2.4.14235.2.4.1514
66235.2.4.16/28235.2.4.17 to 235.2.4.30235.2.4.3114
67235.2.4.32/28235.2.4.33 to 235.2.4.46235.2.4.4714
68235.2.4.48/28235.2.4.49 to 235.2.4.62235.2.4.6314
69235.2.4.64/28235.2.4.65 to 235.2.4.78235.2.4.7914
70235.2.4.80/28235.2.4.81 to 235.2.4.94235.2.4.9514
71235.2.4.96/28235.2.4.97 to 235.2.4.110235.2.4.11114
72235.2.4.112/28235.2.4.113 to 235.2.4.126235.2.4.12714
73235.2.4.128/28235.2.4.129 to 235.2.4.142235.2.4.14314
74235.2.4.144/28235.2.4.145 to 235.2.4.158235.2.4.15914
75235.2.4.160/28235.2.4.161 to 235.2.4.174235.2.4.17514
76235.2.4.176/28235.2.4.177 to 235.2.4.190235.2.4.19114
77235.2.4.192/28235.2.4.193 to 235.2.4.206235.2.4.20714
78235.2.4.208/28235.2.4.209 to 235.2.4.222235.2.4.22314
79235.2.4.224/28235.2.4.225 to 235.2.4.238235.2.4.23914
80235.2.4.240/28235.2.4.241 to 235.2.4.254235.2.4.25514
81235.2.5.0/28235.2.5.1 to 235.2.5.14235.2.5.1514
82235.2.5.16/28235.2.5.17 to 235.2.5.30235.2.5.3114
83235.2.5.32/28235.2.5.33 to 235.2.5.46235.2.5.4714
84235.2.5.48/28235.2.5.49 to 235.2.5.62235.2.5.6314
85235.2.5.64/28235.2.5.65 to 235.2.5.78235.2.5.7914
86235.2.5.80/28235.2.5.81 to 235.2.5.94235.2.5.9514
87235.2.5.96/28235.2.5.97 to 235.2.5.110235.2.5.11114
88235.2.5.112/28235.2.5.113 to 235.2.5.126235.2.5.12714
89235.2.5.128/28235.2.5.129 to 235.2.5.142235.2.5.14314
90235.2.5.144/28235.2.5.145 to 235.2.5.158235.2.5.15914
91235.2.5.160/28235.2.5.161 to 235.2.5.174235.2.5.17514
92235.2.5.176/28235.2.5.177 to 235.2.5.190235.2.5.19114
93235.2.5.192/28235.2.5.193 to 235.2.5.206235.2.5.20714
94235.2.5.208/28235.2.5.209 to 235.2.5.222235.2.5.22314
95235.2.5.224/28235.2.5.225 to 235.2.5.238235.2.5.23914
96235.2.5.240/28235.2.5.241 to 235.2.5.254235.2.5.25514
97235.2.6.0/28235.2.6.1 to 235.2.6.14235.2.6.1514
98235.2.6.16/28235.2.6.17 to 235.2.6.30235.2.6.3114
99235.2.6.32/28235.2.6.33 to 235.2.6.46235.2.6.4714
100235.2.6.48/28235.2.6.49 to 235.2.6.62235.2.6.6314
101235.2.6.64/28235.2.6.65 to 235.2.6.78235.2.6.7914
102235.2.6.80/28235.2.6.81 to 235.2.6.94235.2.6.9514
103235.2.6.96/28235.2.6.97 to 235.2.6.110235.2.6.11114
104235.2.6.112/28235.2.6.113 to 235.2.6.126235.2.6.12714
105235.2.6.128/28235.2.6.129 to 235.2.6.142235.2.6.14314
106235.2.6.144/28235.2.6.145 to 235.2.6.158235.2.6.15914
107235.2.6.160/28235.2.6.161 to 235.2.6.174235.2.6.17514
108235.2.6.176/28235.2.6.177 to 235.2.6.190235.2.6.19114
109235.2.6.192/28235.2.6.193 to 235.2.6.206235.2.6.20714
110235.2.6.208/28235.2.6.209 to 235.2.6.222235.2.6.22314
111235.2.6.224/28235.2.6.225 to 235.2.6.238235.2.6.23914
112235.2.6.240/28235.2.6.241 to 235.2.6.254235.2.6.25514
113235.2.7.0/28235.2.7.1 to 235.2.7.14235.2.7.1514
114235.2.7.16/28235.2.7.17 to 235.2.7.30235.2.7.3114
115235.2.7.32/28235.2.7.33 to 235.2.7.46235.2.7.4714
116235.2.7.48/28235.2.7.49 to 235.2.7.62235.2.7.6314
117235.2.7.64/28235.2.7.65 to 235.2.7.78235.2.7.7914
118235.2.7.80/28235.2.7.81 to 235.2.7.94235.2.7.9514
119235.2.7.96/28235.2.7.97 to 235.2.7.110235.2.7.11114
120235.2.7.112/28235.2.7.113 to 235.2.7.126235.2.7.12714
121235.2.7.128/28235.2.7.129 to 235.2.7.142235.2.7.14314
122235.2.7.144/28235.2.7.145 to 235.2.7.158235.2.7.15914
123235.2.7.160/28235.2.7.161 to 235.2.7.174235.2.7.17514
124235.2.7.176/28235.2.7.177 to 235.2.7.190235.2.7.19114
125235.2.7.192/28235.2.7.193 to 235.2.7.206235.2.7.20714
126235.2.7.208/28235.2.7.209 to 235.2.7.222235.2.7.22314
127235.2.7.224/28235.2.7.225 to 235.2.7.238235.2.7.23914
128235.2.7.240/28235.2.7.241 to 235.2.7.254235.2.7.25514
129235.2.8.0/28235.2.8.1 to 235.2.8.14235.2.8.1514
130235.2.8.16/28235.2.8.17 to 235.2.8.30235.2.8.3114
131235.2.8.32/28235.2.8.33 to 235.2.8.46235.2.8.4714
132235.2.8.48/28235.2.8.49 to 235.2.8.62235.2.8.6314
133235.2.8.64/28235.2.8.65 to 235.2.8.78235.2.8.7914
134235.2.8.80/28235.2.8.81 to 235.2.8.94235.2.8.9514
135235.2.8.96/28235.2.8.97 to 235.2.8.110235.2.8.11114
136235.2.8.112/28235.2.8.113 to 235.2.8.126235.2.8.12714
137235.2.8.128/28235.2.8.129 to 235.2.8.142235.2.8.14314
138235.2.8.144/28235.2.8.145 to 235.2.8.158235.2.8.15914
139235.2.8.160/28235.2.8.161 to 235.2.8.174235.2.8.17514
140235.2.8.176/28235.2.8.177 to 235.2.8.190235.2.8.19114
141235.2.8.192/28235.2.8.193 to 235.2.8.206235.2.8.20714
142235.2.8.208/28235.2.8.209 to 235.2.8.222235.2.8.22314
143235.2.8.224/28235.2.8.225 to 235.2.8.238235.2.8.23914
144235.2.8.240/28235.2.8.241 to 235.2.8.254235.2.8.25514
145235.2.9.0/28235.2.9.1 to 235.2.9.14235.2.9.1514
146235.2.9.16/28235.2.9.17 to 235.2.9.30235.2.9.3114
147235.2.9.32/28235.2.9.33 to 235.2.9.46235.2.9.4714
148235.2.9.48/28235.2.9.49 to 235.2.9.62235.2.9.6314
149235.2.9.64/28235.2.9.65 to 235.2.9.78235.2.9.7914
150235.2.9.80/28235.2.9.81 to 235.2.9.94235.2.9.9514
151235.2.9.96/28235.2.9.97 to 235.2.9.110235.2.9.11114
152235.2.9.112/28235.2.9.113 to 235.2.9.126235.2.9.12714
153235.2.9.128/28235.2.9.129 to 235.2.9.142235.2.9.14314
154235.2.9.144/28235.2.9.145 to 235.2.9.158235.2.9.15914
155235.2.9.160/28235.2.9.161 to 235.2.9.174235.2.9.17514
156235.2.9.176/28235.2.9.177 to 235.2.9.190235.2.9.19114
157235.2.9.192/28235.2.9.193 to 235.2.9.206235.2.9.20714
158235.2.9.208/28235.2.9.209 to 235.2.9.222235.2.9.22314
159235.2.9.224/28235.2.9.225 to 235.2.9.238235.2.9.23914
160235.2.9.240/28235.2.9.241 to 235.2.9.254235.2.9.25514
161235.2.10.0/28235.2.10.1 to 235.2.10.14235.2.10.1514
162235.2.10.16/28235.2.10.17 to 235.2.10.30235.2.10.3114
163235.2.10.32/28235.2.10.33 to 235.2.10.46235.2.10.4714
164235.2.10.48/28235.2.10.49 to 235.2.10.62235.2.10.6314
165235.2.10.64/28235.2.10.65 to 235.2.10.78235.2.10.7914
166235.2.10.80/28235.2.10.81 to 235.2.10.94235.2.10.9514
167235.2.10.96/28235.2.10.97 to 235.2.10.110235.2.10.11114
168235.2.10.112/28235.2.10.113 to 235.2.10.126235.2.10.12714
169235.2.10.128/28235.2.10.129 to 235.2.10.142235.2.10.14314
170235.2.10.144/28235.2.10.145 to 235.2.10.158235.2.10.15914
171235.2.10.160/28235.2.10.161 to 235.2.10.174235.2.10.17514
172235.2.10.176/28235.2.10.177 to 235.2.10.190235.2.10.19114
173235.2.10.192/28235.2.10.193 to 235.2.10.206235.2.10.20714
174235.2.10.208/28235.2.10.209 to 235.2.10.222235.2.10.22314
175235.2.10.224/28235.2.10.225 to 235.2.10.238235.2.10.23914
176235.2.10.240/28235.2.10.241 to 235.2.10.254235.2.10.25514
177235.2.11.0/28235.2.11.1 to 235.2.11.14235.2.11.1514
178235.2.11.16/28235.2.11.17 to 235.2.11.30235.2.11.3114
179235.2.11.32/28235.2.11.33 to 235.2.11.46235.2.11.4714
180235.2.11.48/28235.2.11.49 to 235.2.11.62235.2.11.6314
181235.2.11.64/28235.2.11.65 to 235.2.11.78235.2.11.7914
182235.2.11.80/28235.2.11.81 to 235.2.11.94235.2.11.9514
183235.2.11.96/28235.2.11.97 to 235.2.11.110235.2.11.11114
184235.2.11.112/28235.2.11.113 to 235.2.11.126235.2.11.12714
185235.2.11.128/28235.2.11.129 to 235.2.11.142235.2.11.14314
186235.2.11.144/28235.2.11.145 to 235.2.11.158235.2.11.15914
187235.2.11.160/28235.2.11.161 to 235.2.11.174235.2.11.17514
188235.2.11.176/28235.2.11.177 to 235.2.11.190235.2.11.19114
189235.2.11.192/28235.2.11.193 to 235.2.11.206235.2.11.20714
190235.2.11.208/28235.2.11.209 to 235.2.11.222235.2.11.22314
191235.2.11.224/28235.2.11.225 to 235.2.11.238235.2.11.23914
192235.2.11.240/28235.2.11.241 to 235.2.11.254235.2.11.25514
193235.2.12.0/28235.2.12.1 to 235.2.12.14235.2.12.1514
194235.2.12.16/28235.2.12.17 to 235.2.12.30235.2.12.3114
195235.2.12.32/28235.2.12.33 to 235.2.12.46235.2.12.4714
196235.2.12.48/28235.2.12.49 to 235.2.12.62235.2.12.6314
197235.2.12.64/28235.2.12.65 to 235.2.12.78235.2.12.7914
198235.2.12.80/28235.2.12.81 to 235.2.12.94235.2.12.9514
199235.2.12.96/28235.2.12.97 to 235.2.12.110235.2.12.11114
200235.2.12.112/28235.2.12.113 to 235.2.12.126235.2.12.12714
201235.2.12.128/28235.2.12.129 to 235.2.12.142235.2.12.14314
202235.2.12.144/28235.2.12.145 to 235.2.12.158235.2.12.15914
203235.2.12.160/28235.2.12.161 to 235.2.12.174235.2.12.17514
204235.2.12.176/28235.2.12.177 to 235.2.12.190235.2.12.19114
205235.2.12.192/28235.2.12.193 to 235.2.12.206235.2.12.20714
206235.2.12.208/28235.2.12.209 to 235.2.12.222235.2.12.22314
207235.2.12.224/28235.2.12.225 to 235.2.12.238235.2.12.23914
208235.2.12.240/28235.2.12.241 to 235.2.12.254235.2.12.25514
209235.2.13.0/28235.2.13.1 to 235.2.13.14235.2.13.1514
210235.2.13.16/28235.2.13.17 to 235.2.13.30235.2.13.3114
211235.2.13.32/28235.2.13.33 to 235.2.13.46235.2.13.4714
212235.2.13.48/28235.2.13.49 to 235.2.13.62235.2.13.6314
213235.2.13.64/28235.2.13.65 to 235.2.13.78235.2.13.7914
214235.2.13.80/28235.2.13.81 to 235.2.13.94235.2.13.9514
215235.2.13.96/28235.2.13.97 to 235.2.13.110235.2.13.11114
216235.2.13.112/28235.2.13.113 to 235.2.13.126235.2.13.12714
217235.2.13.128/28235.2.13.129 to 235.2.13.142235.2.13.14314
218235.2.13.144/28235.2.13.145 to 235.2.13.158235.2.13.15914
219235.2.13.160/28235.2.13.161 to 235.2.13.174235.2.13.17514
220235.2.13.176/28235.2.13.177 to 235.2.13.190235.2.13.19114
221235.2.13.192/28235.2.13.193 to 235.2.13.206235.2.13.20714
222235.2.13.208/28235.2.13.209 to 235.2.13.222235.2.13.22314
223235.2.13.224/28235.2.13.225 to 235.2.13.238235.2.13.23914
224235.2.13.240/28235.2.13.241 to 235.2.13.254235.2.13.25514
225235.2.14.0/28235.2.14.1 to 235.2.14.14235.2.14.1514
226235.2.14.16/28235.2.14.17 to 235.2.14.30235.2.14.3114
227235.2.14.32/28235.2.14.33 to 235.2.14.46235.2.14.4714
228235.2.14.48/28235.2.14.49 to 235.2.14.62235.2.14.6314
229235.2.14.64/28235.2.14.65 to 235.2.14.78235.2.14.7914
230235.2.14.80/28235.2.14.81 to 235.2.14.94235.2.14.9514
231235.2.14.96/28235.2.14.97 to 235.2.14.110235.2.14.11114
232235.2.14.112/28235.2.14.113 to 235.2.14.126235.2.14.12714
233235.2.14.128/28235.2.14.129 to 235.2.14.142235.2.14.14314
234235.2.14.144/28235.2.14.145 to 235.2.14.158235.2.14.15914
235235.2.14.160/28235.2.14.161 to 235.2.14.174235.2.14.17514
236235.2.14.176/28235.2.14.177 to 235.2.14.190235.2.14.19114
237235.2.14.192/28235.2.14.193 to 235.2.14.206235.2.14.20714
238235.2.14.208/28235.2.14.209 to 235.2.14.222235.2.14.22314
239235.2.14.224/28235.2.14.225 to 235.2.14.238235.2.14.23914
240235.2.14.240/28235.2.14.241 to 235.2.14.254235.2.14.25514
241235.2.15.0/28235.2.15.1 to 235.2.15.14235.2.15.1514
242235.2.15.16/28235.2.15.17 to 235.2.15.30235.2.15.3114
243235.2.15.32/28235.2.15.33 to 235.2.15.46235.2.15.4714
244235.2.15.48/28235.2.15.49 to 235.2.15.62235.2.15.6314
245235.2.15.64/28235.2.15.65 to 235.2.15.78235.2.15.7914
246235.2.15.80/28235.2.15.81 to 235.2.15.94235.2.15.9514
247235.2.15.96/28235.2.15.97 to 235.2.15.110235.2.15.11114
248235.2.15.112/28235.2.15.113 to 235.2.15.126235.2.15.12714
249235.2.15.128/28235.2.15.129 to 235.2.15.142235.2.15.14314
250235.2.15.144/28235.2.15.145 to 235.2.15.158235.2.15.15914
251235.2.15.160/28235.2.15.161 to 235.2.15.174235.2.15.17514
252235.2.15.176/28235.2.15.177 to 235.2.15.190235.2.15.19114
253235.2.15.192/28235.2.15.193 to 235.2.15.206235.2.15.20714
254235.2.15.208/28235.2.15.209 to 235.2.15.222235.2.15.22314
255235.2.15.224/28235.2.15.225 to 235.2.15.238235.2.15.23914
256235.2.15.240/28235.2.15.241 to 235.2.15.254235.2.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses